package com.wecloud.dispatch.extend.impl;

import com.wecloud.dispatch.common.RequestVO;
import com.wecloud.dispatch.extend.ActionMessage;

/**
 * @author lixiaozhong
 */
public class DefaultActionMessage implements ActionMessage {

	String action;
	RequestVO message;

	public DefaultActionMessage() {
	}

	public DefaultActionMessage(String action, RequestVO message) {
		this.message = message;
		this.action = action;
	}

	@Override
	public RequestVO getMessage() {
		return message;
	}

	@Override
	public void setMessage(RequestVO message) {
		this.message = message;
	}

	@Override
	public String getAction() {
		return action;
	}

	@Override
	public void setAction(String action) {
		this.action = action;
	}

}
